// Dead Reckoning Test Program
// T. Braunl, UWA 2021
#include "eyebot.h"

int main()
{ int el,er, v,w, x,y,p;

  while (1) // terminate with cntl-c
  { el = ENCODERRead(1);  er = ENCODERRead(2);
    printf("%6dL, %6dR |", el,er);

    VWGetSpeed(&v,&w);
    printf("%6dv, %6dw |", v,w);

    VWGetPosition(&x, &y, &p);
    printf("%6dx, %6dy, %4dp\n", x,y,p);
    OSWait(1000);
  }
  return 0;
}
